javax.faces.lifecycle

## Class ClientWindowFactory

- java.lang.Object
- - javax.faces.lifecycle.ClientWindowFactory

- All Implemented Interfaces:
    FacesWrapper<ClientWindowFactory>

      public abstract class ClientWindowFactory
      extends Object
      implements FacesWrapper<ClientWindowFactory>

  Create `ClientWindow` instances based on the incoming request.

  Since:
    2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientWindowFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ClientWindow` | `getClientWindow(FacesContext context)` The implementation is responsible for creating the `ClientWindow` instance for this request.
    `ClientWindowFactory` | `getWrapped()` If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientWindowFactory

          public ClientWindowFactory()

  - ### Method Detail

    - #### getWrapped

          public ClientWindowFactory getWrapped()

      If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped. A default implementation is provided that returns `null`.

      Specified by:
        `getWrapped` in interface `FacesWrapper<ClientWindowFactory>`
      Since:
        2.2

    - #### getClientWindow

          public abstract ClientWindow getClientWindow(FacesContext context)

      The implementation is responsible for creating the `ClientWindow` instance for this request. If `ClientWindow.CLIENT_WINDOW_MODE_PARAM_NAME` is "none" or unspecified, this method must return `null`. If `ClientWindow.CLIENT_WINDOW_MODE_PARAM_NAME` is "url" the implementation must return a `ClientWindow` instance that implements the url-mode semantics described in `ClientWindow`.

      Parameters:
        `context` - the `FacesContext` for this request.
      Returns:
        the `ClientWindow` for this request, or `null`
      Since:
        2.2

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.